%global momorel 3

Name:       rhythmbox
Summary:    A music management application, originally inspired by Apple's iTunes.
#'
Version:     0.13.0
Release:     %{momorel}m%{?dist}
License:     GPL
Group:	     Applications/Multimedia
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.13/%{name}-%{version}.tar.bz2 
NoSource: 0

URL:         http://projects.gnome.org/rhythmbox/
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: perl-XML-Parser
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: gstreamer-devel
BuildRequires: avahi-devel
BuildRequires: libnotify-devel
BuildRequires: libX11-devel >= 1.2
BuildRequires: libxcb-devel >= 1.2
BuildRequires: libsoup-2.2-devel >= 2.2-105-3m
BuildRequires: zlib-devel
BuildRequires: libmusicbrainz-devel
BuildRequires: GConf2-devel
BuildRequires: lirc-devel
BuildRequires: python >= 2.5
BuildRequires: pygtk2
BuildRequires: dbus-devel
BuildRequires: libgpod-devel >= 0.7.0
BuildRequires: libmtp-devel >= 0.3.3
BuildRequires: totem >= 2.23.2-1m
BuildRequires: totem-pl-parser-devel >= 2.29.1
BuildRequires: evolution-data-server >= 2.24.0
BuildRequires: gnome-media-devel
Requires: gstreamer-plugins-base
Requires: gstreamer-plugins-good
Requires: gstreamer-python
Requires(pre): hicolor-icon-theme gtk2
Requires: gvfs-afc gnome-icon-theme-extras
Requires: media-player-info
Requires: pywebkitgtk python-mako gnome-python2-gconf


%description
Rhythmbox is an integrated music management application based on the powerful
GStreamer media framework. It has a number of features, including an easy to
use music browser, searching and sorting, comprehensive audio format support
through GStreamer, Internet Radio support, playlists and more.

Rhythmbox is extensible through a plugin system.

%package lirc
Summary: LIRC (Infrared remote) plugin for Rhythmbox
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}

%description lirc
This package contains a plugin to add LIRC (Infrared remote) support
to Rhythmbox.

%package upnp
Summary: UPNP/DLNA plugin for Rhythmbox
Group: Applications/Multimedia
Requires: %{name} = %{version}-%{release}
Requires: python-Coherence
Requires: python-louie python-twisted

%description upnp
This package contains a Rhythmbox plugin to add support for playing media
from, and sending media to UPnP/DLNA network devices.

%package devel
Summary: Development files for Rhythmbox plugins
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the development files necessary to create
a Rhythmbox plugin.

%prep
%setup -q

# Use the installed louie, not the one in Coherence
#find plugins/coherence/upnp_coherence/ -type f -exec sed -i 's/coherence.extern.louie as louie/louie/' '{}' ';'

%build

# work around a gstreamer bug
/usr/bin/gst-inspect-0.10 --print-all >& /dev/null || :

%configure \
    --with-ipod \
    --with-mdns=avahi \
    --disable-scrollkeeper \
    --with-gnome-keyring \
    --disable-vala \
    --without-hal

#    --enable-silent-rules \
#    --disable-static \
#    --enable-gtk-doc \
#    --enable-python \
#    --enable-browser-plugin \
#    --with-gudev \
#    --with-mtp \
#    --with-libbrasero-media \
#    --with-webkit

%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/rhythmbox.schemas > /dev/null || :
fi

%postun
update-desktop-database -q
if [ $1 -eq 0 ]; then
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :


%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/%{name}.schemas
%{_bindir}/%{name}
%{_bindir}/%{name}-client
%{_libdir}/librhythmbox-core.so.*
%exclude %{_libdir}/*.la
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/artdisplay
%{_libdir}/%{name}/plugins/audiocd
%{_libdir}/%{name}/plugins/audioscrobbler
%{_libdir}/%{name}/plugins/cd-recorder
%{_libdir}/%{name}/plugins/context
%{_libdir}/%{name}/plugins/fmradio
%{_libdir}/%{name}/plugins/generic-player
%{_libdir}/%{name}/plugins/im-status
%{_libdir}/%{name}/plugins/ipod
%{_libdir}/%{name}/plugins/iradio
%{_libdir}/%{name}/plugins/jamendo
%{_libdir}/%{name}/plugins/lyrics
%{_libdir}/%{name}/plugins/magnatune
%{_libdir}/%{name}/plugins/mmkeys
%{_libdir}/%{name}/plugins/mtpdevice
%{_libdir}/%{name}/plugins/power-manager
%{_libdir}/%{name}/plugins/python-console
%{_libdir}/%{name}/plugins/rb
%{_libdir}/%{name}/plugins/replaygain
%{_libdir}/%{name}/plugins/sendto
%{_libdir}/%{name}/plugins/status-icon
%{_libdir}/%{name}/plugins/visualizer
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox.service
%{_datadir}/gnome/help/%{name}
%{_datadir}/locale/*/*/*
%{_datadir}/omf/%{name}
%{_libexecdir}/%{name}-metadata
%{_libdir}/mozilla/plugins/librhythmbox-itms-detection-plugin.*
%{_mandir}/man1/rhythmbox-client.1.*
%{_mandir}/man1/rhythmbox.1.*

%files lirc
%defattr(-, root, root)
%{_libdir}/rhythmbox/plugins/rblirc

%files upnp
%defattr(-, root, root)
%{_libdir}/rhythmbox/plugins/upnp_coherence

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/librhythmbox-core.so
%{_libdir}/pkgconfig/rhythmbox.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13.0-3m)
- full rebuild for mo7 release

* Wed Aug  4 2010 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.13.0-2m)
- sync Fedora

* Sat Jul  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.13.0-1m)
- update to 0.13.0

* Mon May 17 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12.8-2m)
- add BuildRequires

* Mon Apr 12 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12.8-1m)
- update to 0.12.8

* Mon Mar  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.7-1m)
- update to 0.12.7

* Tue Feb 16 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.6-1m)
- rebuild against totem-pl-parser-2.29.1

* Mon Nov 23 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.6-1m)
- update to 0.12.6

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.12.5-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.5-2m)
- good-bye nautilus-cd-burner

* Sat Sep 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.5-1m)
- update to 0.12.5

* Sun Jul 12 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.3-1m)
- update to 0.12.3

* Sun May 31 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.2-1m)
- update to 0.12.2

* Tue Apr 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.1-1m)
- update to 0.12.1

* Thu Mar 19 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12.0-1m)
- update to 0.12.0

* Wed Mar 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.99.2-1m)
- update 0.12 pre

* Wed Mar 18 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-10m)
- rebuild against libgpod-0.7.0

* Wed Feb 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.11.6-9m)
- rebuild against libxcb-1.2

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.11.6-8m)
- rebuild against rpm-4.6

* Thu Jan  1 2009 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.11.6-7m)
- rebuild against python-2.6.1-2m

* Tue Nov  4 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.6-6m)
- rebuild against libmtp-0.3.3
- import libmtp-0.3.0-API.patch from gentoo
 +- 06 Jul 2008; Peter Alfredsen <loki_val@gentoo.org>
 +- +files/rhythmbox-0.11.5-libmtp-0.3.0-API.patch, rhythmbox-0.11.5.ebuild,
 +- +rhythmbox-0.11.5-r1.ebuild:
 +- Revbump with patch for libmtp-0.3.0 API change

* Sat Oct  4 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.6-5m)
- rebuild against evolution-data-server-2.24.0

* Wed Sep  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.6-4m)
- add Requires: gstreamer-python

* Sun Jul 27 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.6-3m)
- change Requires: gst-plugins-base to gstreamer-plugins-base
- change Requires: gst-plugins-good to gstreamer-plugins-good

* Tue Jul 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.11.6-2m)
- rebuild against gnutls-2.4.1 (libsoup-2.2)

* Sat Jul 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.6-1m)
- update to 0.11.6
- comment out many patches

* Sun Jun 22 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.5-1m)
- update 0.11.5

* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.3-6m)
- rebuild against totem-2.23.2-1m for firefox-3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.11.3-6m)
- rebuild against gcc43

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-5m)
- rebuild against totem-2.22.0

* Tue Mar 11 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-4m)
- rebuild against libsoup-2.2.105
- BPR libsoup-2.2

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11.3-3m)
- %%NoSource -> NoSource

* Wed Nov 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.3-2m)
- rebuild against libgpod-0.6.0

* Fri Nov  9 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.3-1m)
- update to 0.11.3

* Fri Oct 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.2-4m)
- rebuild against libmtp-0.2.3

* Tue Sep 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.11.2-3m)
- rebuild against libgpod-0.5.2 and libmtp-0.2.1

* Mon Sep 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.2-2m)
- rebuild against totem-2.20.0

* Fri Aug 17 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.11.2-1m)
- update to 0.11.2

* Mon May 28 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update 0.10.1

* Mon Apr  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10.0-1m)
- update 0.10.0

* Sat Mar  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-2m)
- update patch (eel_strdup_strftime)

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Fri Jan 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.7-2m)
- rebuild against libgpod-0.4.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.7-1m)
- update to 0.9.7

* Sun Oct  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.6-1m)
- update to 0.9.6
-- delete patch1 (for dbus)

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.5-7m)
- rebuild against gnutls-1.4.4-1m

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-6m)
- rebuild against nautilus-cd-burner-2.16.0 libgpod-devel-0.3.2-3m

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-5m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.9.5-4m)
- rebuild against expat-2.0.0-1m

* Fri Jul 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-3m)
- add BuildPrereq: libgpod-devel
- add patch0 (eel_strdup_strftime)

* Wed Jul 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-2m)
- add --with-check=no to configure

* Wed Jul 12 2006 imuchin <imuchin777@m3.dion.ne.jp>
- (0.9.5-1m)
- initial build
